curl --request GET \
--url {schemes}://api.upsun.com/organizations/{organization_id} \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/organizations/{organization_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/organizations/{organization_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "fixed",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"namespace": "<string>",
"name": "<string>",
"label": "<string>",
"country": "<string>",
"capabilities": [
"<string>"
],
"vendor": "<string>",
"billing_profile_id": "<string>",
"billing_legacy": true,
"security_contact": "jsmith@example.com",
"ai_agent_settings": {
"can_enable": true,
"performance_agent_enabled": true,
"log_analyzer_agent_enabled": true
},
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_links": {
"self": {
"href": "<string>"
},
"update": {
"href": "<string>",
"method": "<string>"
},
"delete": {
"href": "<string>",
"method": "<string>"
},
"members": {
"href": "<string>"
},
"create-member": {
"href": "<string>",
"method": "<string>"
},
"address": {
"href": "<string>"
},
"profile": {
"href": "<string>"
},
"account": {
"href": "<string>"
},
"payment-source": {
"href": "<string>"
},
"orders": {
"href": "<string>"
},
"vouchers": {
"href": "<string>"
},
"discounts": {
"href": "<string>"
},
"apply-voucher": {
"href": "<string>",
"method": "<string>"
},
"subscriptions": {
"href": "<string>"
},
"create-subscription": {
"href": "<string>",
"method": "<string>"
},
"estimate-subscription": {
"href": "<string>"
},
"prepayment": {
"href": "<string>"
},
"billing-profile": {
"href": "<string>"
},
"mfa-enforcement": {
"href": "<string>"
},
"sso": {
"href": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Get organization
Retrieves the specified organization.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization.
Prefix with name= to retrieve the organization by name instead.
Response
OK
The ID of the organization.
The type of the organization.
fixed, flexible The ID of the owner.
The namespace in which the organization name is unique.
A unique machine name representing the organization.
The human-readable label of the organization.
The organization country (2-letter country code).
2The organization capabilities.
The vendor.
The Billing Profile ID.
Whether the account is billed with the legacy system.
The security contact email address for the organization.
AI agent consent settings for the organization.
Show child attributes
Show child attributes
The status of the organization.
active, restricted, suspended, deleted The date and time when the organization was created.
The date and time when the organization was last updated.
Show child attributes
Show child attributes
Was this page helpful?